 fs/reiserfs/file.c |    2 +-
 include/linux/fs.h |    3 +--
 mm/filemap.c       |    6 +++---
 mm/shmem.c         |    2 +-
 4 files changed, 6 insertions(+), 7 deletions(-)

diff -puN fs/reiserfs/file.c~RD14-generic_write_checks-B6 fs/reiserfs/file.c
--- 25/fs/reiserfs/file.c~RD14-generic_write_checks-B6	2003-10-02 01:36:10.000000000 -0700
+++ 25-akpm/fs/reiserfs/file.c	2003-10-02 01:36:10.000000000 -0700
@@ -1052,7 +1052,7 @@ ssize_t reiserfs_file_write( struct file
     /* Check if we can write to specified region of file, file
        is not overly big and this kind of stuff. Adjust pos and
        count, if needed */
-    res = generic_write_checks(inode, file, &pos, &count, 0);
+    res = generic_write_checks(file, &pos, &count, 0);
     if (res)
 	goto out;
 
diff -puN include/linux/fs.h~RD14-generic_write_checks-B6 include/linux/fs.h
--- 25/include/linux/fs.h~RD14-generic_write_checks-B6	2003-10-02 01:36:10.000000000 -0700
+++ 25-akpm/include/linux/fs.h	2003-10-02 01:36:10.000000000 -0700
@@ -1295,8 +1295,7 @@ extern int generic_file_readonly_mmap(st
 extern int file_read_actor(read_descriptor_t * desc, struct page *page, unsigned long offset, unsigned long size);
 extern int file_send_actor(read_descriptor_t * desc, struct page *page, unsigned long offset, unsigned long size);
 extern ssize_t generic_file_read(struct file *, char __user *, size_t, loff_t *);
-int generic_write_checks(struct inode *inode, struct file *file,
-			loff_t *pos, size_t *count, int isblk);
+int generic_write_checks(struct file *file, loff_t *pos, size_t *count, int isblk);
 extern ssize_t generic_file_write(struct file *, const char __user *, size_t, loff_t *);
 extern ssize_t generic_file_aio_read(struct kiocb *, char __user *, size_t, loff_t);
 extern ssize_t __generic_file_aio_read(struct kiocb *, const struct iovec *, unsigned long, loff_t *);
diff -puN mm/filemap.c~RD14-generic_write_checks-B6 mm/filemap.c
--- 25/mm/filemap.c~RD14-generic_write_checks-B6	2003-10-02 01:36:10.000000000 -0700
+++ 25-akpm/mm/filemap.c	2003-10-02 01:36:10.000000000 -0700
@@ -1598,9 +1598,9 @@ filemap_set_next_iovec(const struct iove
  * Returns appropriate error code that caller should return or
  * zero in case that write should be allowed.
  */
-inline int generic_write_checks(struct inode *inode,
-		struct file *file, loff_t *pos, size_t *count, int isblk)
+inline int generic_write_checks(struct file *file, loff_t *pos, size_t *count, int isblk)
 {
+	struct inode *inode = file->f_mapping->host;
 	unsigned long limit = current->rlim[RLIMIT_FSIZE].rlim_cur;
 
         if (unlikely(*pos < 0))
@@ -1739,7 +1739,7 @@ generic_file_aio_write_nolock(struct kio
 	current->backing_dev_info = mapping->backing_dev_info;
 	written = 0;
 
-	err = generic_write_checks(inode, file, &pos, &count, isblk);
+	err = generic_write_checks(file, &pos, &count, isblk);
 	if (err)
 		goto out;
 
diff -puN mm/shmem.c~RD14-generic_write_checks-B6 mm/shmem.c
--- 25/mm/shmem.c~RD14-generic_write_checks-B6	2003-10-02 01:36:10.000000000 -0700
+++ 25-akpm/mm/shmem.c	2003-10-02 01:36:10.000000000 -0700
@@ -1147,7 +1147,7 @@ shmem_file_write(struct file *file, cons
 	pos = *ppos;
 	written = 0;
 
-	err = generic_write_checks(inode, file, &pos, &count, 0);
+	err = generic_write_checks(file, &pos, &count, 0);
 	if (err || !count)
 		goto out;
 

_
